Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 597864 - createnet: Wizard complains about wrong DHCP network when DHCP is turned off
createnet: Wizard complains about wrong DHCP network when DHCP is turned off
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-30 16:00 EDT by Niels de Vos
Modified: 2010-09-04 00:59 EDT (History)
5 users (show)

See Also:
Fixed In Version: virt-manager-0.8.5-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-04 00:59:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adds a check if DHCP is enabled before raising the error(s) (1.22 KB, application/octet-stream)
2010-05-30 16:00 EDT, Niels de Vos
no flags Details

  None (edit)
Description Niels de Vos 2010-05-30 16:00:01 EDT
Created attachment 418089 [details]
adds a check if DHCP is enabled before raising the error(s)

Description of problem:

On creating a network, the wizard complains that the DHCP-range is not in the selected IP-network.


Version-Release number of selected component (if applicable):

virt-manager-0.8.3-3.fc13.noarch


How reproducible:

100%


Steps to Reproduce:
1. click the '+' button on the 'virtual networks' tab of the 'Host details'
2. read the description and click 'forward'
3. enter a name and click 'forward'
4. keep the proposed IP-network and click 'forward'
5. unselect 'Enable DHCP' and click 'back'
6. change the IP-network to something (valid) else and click 'forward'
7. note the previous (inactive) DHCP-range and click 'forward'
8. error: "Invalid DHCP Address"
  
Actual results:

A popup with error: "Invalid DHCP Address"


Expected results:

DHCP is disabled, so there is no need to display an error.


Additional info:

I'd like to propose the attached patch for inclusion. The patch adds a check if DHCP is enabled before raising the error(s).
Comment 1 Cole Robinson 2010-08-23 11:20:01 EDT
Thanks for the patch! I extended it slightly and applied upstream:

http://hg.fedorahosted.org/hg/virt-manager/rev/4cd962f6722b
Comment 2 Niels de Vos 2010-08-24 03:29:33 EDT
You're welcome :)
Comment 3 Fedora Update System 2010-08-25 16:59:04 EDT
virt-manager-0.8.5-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/virt-manager-0.8.5-1.fc13
Comment 4 Fedora Update System 2010-08-25 20:53:28 EDT
virt-manager-0.8.5-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/virt-manager-0.8.5-1.fc13
Comment 5 Fedora Update System 2010-08-31 23:27:49 EDT
virt-manager-0.8.5-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/virt-manager-0.8.5-1.fc13
Comment 6 Fedora Update System 2010-09-04 00:59:02 EDT
virt-manager-0.8.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.